<?PHP
	////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////	
	
	////Conexiones y tiempos de ejecución
	$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
	$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
	ini_set('max_execution_time', $LtEn);
	include ("../Conections/$VpnEn.php");
	
	$Cve_Modulo = "CMOD201506100169";
	
	///Arrastra Variables Fijas
	$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
	$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
	$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
	$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	
	/////////Identificar personalización 2
	$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
	if (mysql_numrows($sqlP2)==0) echo "";
	else{
		$registroP2=mysql_fetch_array($sqlP2);
	}
	if (mysql_numrows($sqlP2)>0)
	{
		$Titulo=$registroP2["TITULO_PAGINAS"];
	}
	
	/////////Identificar configuracion 1
	$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
	if (mysql_numrows($sqlC1)==0) echo "";
	else{
		$registroC1=mysql_fetch_array($sqlC1);
	}
	if (mysql_numrows($sqlC1)>0)
	{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
	}
	
	//////Identificar la Cuenta y la Bodega
	$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
	if (mysql_numrows($sqlCR1)==0) echo "";
	else{
		$registroCR1=mysql_fetch_array($sqlCR1);
	}
	if (mysql_numrows($sqlCR1)>0)
	{
		$CveBodCR1=$registroCR1["CVE_BODEGA"];
		$CveCueCR1=$registroCR1["CVE_CUENTA"];
	}
	
	$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
	if (mysql_numrows($sqlCR2)==0) echo "";
	else{
		$registroCR2=mysql_fetch_array($sqlCR2);
	}
	if (mysql_numrows($sqlCR2)>0)
	{
		$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
	}
	
	////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		
		<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
		<title><?PHP echo $Titulo; ?></title>
		<style type="text/css">
			.Clase_TipoLetraTitulos {
			font-family: <?PHP echo $FuTi_Form; ?>;
			font-size:<?PHP echo $TaTi_Form; ?>px;
			color:<?PHP echo $BgTi_Form; ?>;
			}
			.Clase_TipoLetra {
			font-family: Microsoft Sans Serif;
			font-size:12px;
			color:#333;
			}
			.Clase_INPUT_Text {
			border: 1px solid <?PHP echo $Borde_Form; ?>;
			background: #FFFFFF;
			COLOR: #000000;
			FONT-FAMILY: Arial, Helvetica, sans-serif;
			FONT-SIZE: 12px;
			}
			
		</style>
		<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
		<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
		<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>
		
		<!-- Inicia Validador de Inactividad -->
		<script type="text/javascript">
			var Inac;
			function ini() {
				Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
			}
			function parar() {
				clearTimeout(Inac);
				Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
			}
		</script>
		
		<!-- Termina Validador de Inactividad -->
		
	</head>
	
	<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
		<!-- Inicia Cuerpo de la Interfaz Gráfica -->
		<div data-role="page" id="page">
			<?PHP
				////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
				
				/////////Identifica si el token aun esta vigente
				$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
				$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
				$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
				$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
				$FechAct=$PreTo4=date("d/m/Y");
				
				if ($FechTok<>$FechAct)
				{
					echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ///Inicia IF Sesion Token
					
					/////////Identificar permisos de acceso 1
					$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
					if (mysql_numrows($sqlPA1)==0) 
					{
						echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
					}
					else
					{ ///Inicia IF Permiso de Acceso 1
						
						/////////Identificar permisos de acceso 2
						$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
						if (mysql_numrows($sqlPA2)==0) 
						{
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
						}
						else
						{ ///Inicia IF Permiso de Acceso 2
							
							/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
							$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
							if (mysql_numrows($sqlPA3)==0) 
							{
								echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
							}
							else
							{ ///Inicia IF Permiso de Acceso 3
						
								//////HORA y FECHA/////
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								///Arrastrando Campos
								$NDocuEn=$_POST['txt_NDOC'] or $NDocuEn=$_GET['txt_NDOC'];
								
								//////Identificar si el Documento Existe
								$sqlID1 = mysql_query("select * from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
								if (mysql_numrows($sqlID1)==0) 
								{
									echo "<script>alert('El Documento Solicitado No Existe\\nFavor de Corroborarlo.')</script>";
									echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
								}
								else
								{ ///Inicia IF Existencia de Documento
									
									//////Identificar si el Estado del Documento es apto para este proceso
									$sqlID2 = mysql_query("select * from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
									if (mysql_numrows($sqlID2)==0) echo "";
									else{
										$registroID2=mysql_fetch_array($sqlID2);
									}
									if (mysql_numrows($sqlID2)>0)
									{
										$EdoDoID2=$registroID2["ESTADO_DOCUMENTO"];
										$VigeID2=$registroID2["VIGENCIA"];
									}
									
									////Identificar La caducidad de Documento
									if ($VigeID2<$Fecha)
									{
										echo "<script>alert('El Documento de Recibo Solicitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
										echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
										exit();
									}
									else
									{ //// Inicia If Valiador de Caducidad Documento
										
										/////if ($EdoDoID2<>"POR RECIBIR" and $EdoDoID2<>"RECIBIENDO")
										if ($EdoDoID2 !="CREADO")
										{
											echo "<script>alert('El Estado del Documento de Recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
											echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
											exit();
										}
										
										////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
									?>
									
									<div data-role="header">    
										<h1>|| LOGSYS - WMS ||</h1>
									</div>
									<div data-role="content" align="center">	
										<!-- Inicia Cuerpo de la Pantalla -->
										
										<?PHP 
											$NDocuEn=$_POST['txt_NDOC'] or $NDocuEn=$_GET['txt_NDOC'];
											$SkuEn=$_GET['txt_SKU'] or $SkuEn=$_POST['txt_SKU'];
											$cantidad=$_GET['txt_pzas'] or $cantidad=$_POST['txt_pzas'];
											$calidad=$_GET['edocal'] or $calidad=$_POST['edocal'];
											$fact=$_GET['factura'] or $fact=$_POST['factura'];

											if(isset($_GET['process']) or isset($_POST['process'])){
											
											$detallado = false;
											//if detalles-> Preguntar procesar recibo
											$existedetalle = mysql_query("SELECT ID FROM tabla_detalledocumentos WHERE NO_DOCUMENTO='$NDocuEn' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
											if($existedetalle){
											if (mysql_numrows($existedetalle)>0){
											$detallado = true;
											//echo "<script>alert('Ya existe el detalle del documento.')</script>";
												}
											}
											
											echo "Procesando...<BR><BR>";
											$sql_A1 = mysql_query("select OCUPACION_MAX from wms_configura_recibo_pre WHERE CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
											$registro_A1=mysql_fetch_array($sql_A1);
											$om=$registro_A1["OCUPACION_MAX"];
											$canti = mysql_query("select id from tabla_reciboxpreclasi WHERE NO_DOCUMENTO = '$NDocuEn' AND CVE_BODEGA = '$CveBodCR1' AND CVE_CUENTA = '$CveCueCR1' AND ESTATUS = 'ABIERTO'");
											if(mysql_numrows($canti)==0){
											echo "<script>alert('El documento $NDocuEn no tiene registros.')</script>";
											echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
											exit();}
											$docum = mysql_query("SELECT tabla_reciboxpreclasi.SKU,(SELECT COALESCE(SUM(PZAS),0) FROM tabla_reciboxpreclasi X WHERE X.SKU = tabla_reciboxpreclasi.SKU AND X.CALIDAD = tabla_reciboxpreclasi.CALIDAD AND X.CVE_UBICACION = tabla_reciboxpreclasi.CVE_UBICACION AND X.ESTATUS = 'ABIERTO' AND X.NO_DOCUMENTO = '$NDocuEn') AS CANTIDAD, tabla_reciboxpreclasi.CALIDAD,tabla_reciboxpreclasi.CVE_UBICACION, tabla_altaproducto.DESCRIPCION FROM tabla_reciboxpreclasi INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_reciboxpreclasi.SKU AND tabla_altaproducto.CUENTA = tabla_reciboxpreclasi.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_reciboxpreclasi.CVE_BODEGA WHERE tabla_reciboxpreclasi.NO_DOCUMENTO = '$NDocuEn' AND tabla_reciboxpreclasi.CVE_BODEGA =  '$CveBodCR1' AND CVE_CUENTA =  '$CveCueCR1' AND tabla_reciboxpreclasi.ESTATUS = 'ABIERTO' GROUP BY CONCAT(tabla_reciboxpreclasi.SKU, tabla_reciboxpreclasi.CALIDAD, tabla_reciboxpreclasi.CVE_UBICACION)");
											$n=1;
											while($ln = mysql_fetch_array($docum)){
												//echo "$ln[SKU],$ln[CANTIDAD],$ln[CALIDAD]<BR><BR>";
												if($detallado){
													$exist = mysql_query("select CANT_XRECIBIR from tabla_detalledocumentos WHERE NO_DOCUMENTO='$NDocuEn' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND SKU='$ln[SKU]'");
													if($exist){
													if(mysql_numrows($exist)==0){
														//echo "<script>alert('No se tiene registro previo del sku $ln[SKU].')</script>";
														$cantxrec = 0;
														}													
														else{
														$cantxr=mysql_fetch_array($exist);
														$cantxrec = $cantxr[0];
														}
												}}else{
													$cantxrec=$ln['CANTIDAD'];
													}
												//echo "<script>alert('Registrando $ln[SKU]...')</script>";
												$nid = mysql_query("SELECT COALESCE(MAX(ID)+1,1) AS X FROM tabla_detalledocumentos");
												$newid = mysql_fetch_array($nid);
												$Hora=time();
												$HoraOK=date("H:i:s",$Hora);
												$Fecha=date("Y/m/d");												
																								
												$reg=mysql_query("INSERT INTO `tabla_detalledocumentos` (`ID`, `CVE_BODEGA`, `CVE_CUENTA`, `NO_DOCUMENTO`, `NO_DOC_COMPLE`, `FILA`, `SKU`, `UBICACION`, `DESCRIPCION`, `CANT_XRECIBIR`, `NO_FACTURA`, `EDO_CALIDAD`, `ESTATUS`, `USUARIO_ALTA`, `HORA`, `FECHA`, `EDICION`) VALUES ('$newid[0]',  '$CveBodCR1',  '$CveCueCR1',  '$NDocuEn',  '$NDocuEn',  '$n',  '$ln[SKU]', '$ln[CVE_UBICACION]','$ln[DESCRIPCION]','$cantxrec',  '$fact',  '$ln[CALIDAD]',  'SIN RECIBO',  '$UsuEn',  '$HoraOK',  '$Fecha','');");
												$n++;
												}
											$cerrar = mysql_query("UPDATE tabla_reciboxpreclasi SET ESTATUS = 'PROCESADO' WHERE NO_DOCUMENTO = '$NDocuEn' AND CVE_BODEGA = '$CveBodCR1' AND CVE_CUENTA = '$CveCueCR1' AND ESTATUS = 'ABIERTO'");
											$cerrar = mysql_query("UPDATE tabla_documentos set ESTADO_DOCUMENTO='CREADO-CATEGORIZACION' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
											
											$limpiar=mysql_query("DELETE FROM tabla_detalledocumentos WHERE NO_DOCUMENTO = '$NDocuEn' AND CVE_BODEGA = '$CveBodCR1' AND CVE_CUENTA = '$CveCueCR1' AND (EDO_CALIDAD IS NULL OR EDO_CALIDAD='') AND (UBICACION IS NULL OR UBICACION='') AND SKU IN (SELECT SKU FROM (SELECT SKU,COUNT(*) C FROM tabla_detalledocumentos WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' GROUP BY SKU HAVING C > 1) F)");
											
											//factura
											$completacampos = mysql_query("UPDATE tabla_detalledocumentos set NO_FACTURA='$fact' WHERE NO_DOCUMENTO = '$NDocuEn' AND CVE_BODEGA = '$CveBodCR1' AND CVE_CUENTA = '$CveCueCR1'");
											
											if($detallado){$ADD = " (se agregaron códigos no previstos al detalle del documento)";}else{$ADD="";}
											///echo "El recibo se ha procesado correctamente$ADD."; -> Mensaje en Alerta
											///Inicia linea de Codigo modificada
                                            						///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
						                                        ///Termina linea de Codigo modificada
						                                        echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_RF2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
											exit();
											}
											
											$product=mysql_query("select * from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SkuEn'");
											$prod = mysql_fetch_array($product);
											$wind1="<div data-role='content' align='center'><form id='form1' name='form1' method='post' action='7-ReciboPreClasifica5.php'><table border='0' style='border-collapse: collapse' width='233'><tr><td colspan='2' align='center'><font class='Clase_TipoLetra'>Recibo por Preclasificación - Confirmar</font></td></tr><tr><td>&nbsp;</td><td>&nbsp;</td></tr>";
											$wind2="<tr><td colspan='2'><input type='hidden' name='UsuKP' value='$UsuEn' /><input type='hidden' name='TokenKP' value='$TokEn' /><input type='hidden' name='IdDAcce' value='$IDSeEn'/><input type='hidden' name='CtaSKP' value='$CtaSesionEn' /><input type='hidden' name='txt_NDOC' value='$NDocuEn'/><input type='hidden' name='VPN' value='$VpnEn' /><input type='hidden' name='LT' value='$LtEn'/><input type='hidden' name='txt_SKU' value='$SkuEn'/><input type='hidden' name='txt_pzas' value='$cantidad'/><input type='hidden' name='edocal' value='$calidad'/></td></tr><tr><td colspan='2' align='center'><input type='submit' name='button' id='button' value='Confirmar' /></td></tr><tr><td colspan='2' align='center'><input type='button' value='Cancelar' onClick=\"window.location.href='7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'\"></td></tr></table></form></div></div><div data-role='footer'><h4><font size='2'>www.logsyswms.com | Usuario: $UsuEn</font></h4></div></div>";
											
											///Validar campos en blanco
											if ($SkuEn=="")
											{
												echo "<script>alert('Favor de escanear el Sku/Upc a Recibir.');</script>";
												echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
												exit();
											}			
											//////Identificar Los Datos de SKU por medio de su UPC
											$sqlD1 = mysql_query("select * from tabla_alta_producto_upc WHERE CVE_CUENTA='$CveCueCR1' AND UPC='$SkuEn'");
											if (mysql_numrows($sqlD1)==0)
											{
												//////Identificar si el Sku Se encuentra dado de Alta dentro del Catalogo de Articulos
												$sqlD2 = mysql_query("select * from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SkuEn'");
												if (mysql_numrows($sqlD2 )==0)
												{
													echo "<script>alert('El SKU/UPC escaneado/digitado no se encuentra dado de Alta dentro del Sistema. Favor de corroborarlo.');</script>";
													echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
													exit();
												}
												else
												{
													$sku = $SkuEn;
												}
											}
											else
											{
												$registroD1=mysql_fetch_array($sqlD1);
											}
											if (mysql_numrows($sqlD1)>0)
											{
												$sku=$registroD1["SKU"];
											}
											
											////Inicia el analisis general
											////Identificar la configuración del Recibo de Preclasificación
											$sql_A1 = mysql_query("select * from wms_configura_recibo_pre WHERE CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
											if (mysql_numrows($sql_A1)==0) echo "";
											else{
												$registro_A1=mysql_fetch_array($sql_A1);
											}
											if (mysql_numrows($sql_A1)>0)
											{
												$om=$registro_A1["OCUPACION_MAX"];
											}
												
											////Identificar los datos necesarios del Articulo
											$sql_A2 = mysql_query("select NOTA1,NOTA2 from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$sku'");
											if (mysql_numrows($sql_A2)==0){
													echo "<script>alert('El SKU/UPC escaneado/digitado no se encuentra dado de Alta dentro del Sistema. Favor de corroborarlo.');</script>";
													echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
													exit();
												}
											else{
												$registro_A2=mysql_fetch_array($sql_A2);
											}
											if (mysql_numrows($sql_A2)>0)
											{
												$edit=$registro_A2["NOTA1"];
												$circulacion=$registro_A2["NOTA2"];
											}
											
											if ($circulacion == 'DX')
											{
											$con = mysql_query("SELECT * FROM tabla_ubicaciones WHERE TIPODEUBICACION='DESTRUCCION' AND CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
											if (mysql_numrows($con)>0){
												$ub = mysql_fetch_array($con);
												echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ub[CLAVEUBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>DESTRUCCION</td></tr><input type='hidden' name='ubic' value='$ub[CLAVEUBICACION]'><input type='hidden' name='devol' value='DESTRUCCION'>$wind2";
												//echo "<script>alert('El SKU/UPC escaneado/digitado esta destinado a destrucción.');</script>";
											}else{
											echo "<script>alert('No hay una ubicación del tipo \'DESTRUCCION\' dada de alta\\nFavor de corroborarlo.')</script>";
											}
											exit();
											}
																						
											$pasi= mysql_query("SELECT TIPO_UBICACION FROM wms_configura_recibo_pre WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
											$pas=mysql_fetch_array($pasi);
											$ps=$pas[0];
											
											$ret= "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
											
											//DESTRUCCION O DEVOLUCION
											
											if($calidad=='DX' ){
											$con = mysql_query("SELECT * FROM tabla_ubicaciones WHERE TIPODEUBICACION='DESTRUCCION' AND CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
											if (mysql_numrows($con)>0){
												$ub = mysql_fetch_array($con);
												echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ub[CLAVEUBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>$calidad</td></tr><input type='hidden' name='ubic' value='$ub[CLAVEUBICACION]'>$wind2";
											}else{
											echo "<script>alert('No hay una ubicación del tipo \'$calidad\' dada de alta\\nFavor de corroborarlo.')</script>";
											}
											exit();
											}
											if($calidad=='DP' ){
											$ubicdev = mysql_query("SELECT * FROM tabla_reciboxpreclasi WHERE CALIDAD='DEVOLUCION' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND ESTATUS!='CERRADO' AND EDITORIAL='$prod[NOTA1]'");
											if(mysql_numrows($ubicdev)>0){
												$ub = mysql_fetch_array($ubicdev);
												echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ub[CVE_UBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>$calidad</td></tr><input type='hidden' name='ubic' value='$ub[CVE_UBICACION]'><input type='hidden' name='devol' value='DEVOLUCION'>$wind2";
													exit();
												}else{
												$con = mysql_query("SELECT * FROM tabla_ubicaciones WHERE TIPODEUBICACION='DEVOLUCION' AND CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
											if (mysql_numrows($con)>0){
												WHILE($ub = mysql_fetch_array($con)){
												
												$ocupa_provee = mysql_query("SELECT * from tabla_reciboxpreclasi WHERE CALIDAD='DP' AND ESTATUS!='CERRADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND CVE_UBICACION='$ub[CLAVEUBICACION]' AND EDITORIAL!='$prod[NOTA1]'");
												if(mysql_numrows($ocupa_provee)==0){
													echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ub[CLAVEUBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>$calidad</td></tr><input type='hidden' name='ubic' value='$ub[CLAVEUBICACION]'><input type='hidden' name='devol' value='DEVOLUCION'>$wind2";
													exit();
													}
												}
												echo "<script>alert('No hay ubicaciones de devolución disponibles en este momento.\\nFavor de corroborarlo.')</script>";
											}else{
											echo "<script>alert('No hay una ubicación del tipo \'$calidad\' dada de alta\\nFavor de corroborarlo.')</script>";
											}
											exit();}
											}
											
											if($cantidad>$om){echo "<script>alert('La cantidad de ocupación máxima establecida es de $om, por favor introduzca una cantidad menor.');</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
											exit();
											}
											
											//BUSCAR EN UBICACIONES DE PASILLO DEVOLUCIONES, EL PROVEEDOR CON DISPONIBILIDAD Y CANTIDAD DE PIEZAS X con edo_calidad
											$con= mysql_query("SELECT SUM(PZAS),CVE_UBICACION FROM tabla_reciboxpreclasi WHERE CALIDAD='$calidad' AND SKU='$sku' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS!='CERRADO' GROUP BY SKU HAVING (SUM(PZAS)+$cantidad)<=$om");
											//echo "SELECT SUM(PZAS),CVE_UBICACION FROM tabla_reciboxpreclasi WHERE CALIDAD='$calidad' AND SKU='$sku' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS!='CERRADO' GROUP BY SKU HAVING (SUM(PZAS)+$cantidad)<=$om<br><br>"."<br><br>";//imprime
											if($con){
												if (mysql_numrows($con)>0){
												$ub = mysql_fetch_array($con);
												echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ub[CVE_UBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>$calidad</td></tr><input type='hidden' name='ubic' value='$ub[CVE_UBICACION]'>$wind2";
												exit();
											}
											}
											
											//BUSCAR MAYOR PRIORIDAD LIBRE CON PRODUCTO DEL PROVEEDOR
											
											$cl = "SELECT distinct(tabla_reciboxpreclasi.CVE_MODULO), tabla_ubicaciones.CLAVEUBICACION,tabla_prioridad.PRIORIDAD FROM tabla_reciboxpreclasi LEFT JOIN tabla_ubicaciones ON tabla_ubicaciones.lado = tabla_reciboxpreclasi.CVE_MODULO and tabla_ubicaciones.TIPODEUBICACION='$ps' AND tabla_ubicaciones.CUENTA=tabla_reciboxpreclasi.CVE_CUENTA AND tabla_ubicaciones.CVE_BODEGA=tabla_reciboxpreclasi.CVE_BODEGA LEFT JOIN tabla_prioridad ON tabla_prioridad.CVE_CUENTA=tabla_reciboxpreclasi.CVE_CUENTA AND  tabla_prioridad .CVE_BODEGA=tabla_reciboxpreclasi.CVE_BODEGA AND tabla_prioridad.UBICACION = tabla_ubicaciones.CLAVEUBICACION WHERE tabla_reciboxpreclasi.EDITORIAL = '$edit' AND tabla_reciboxpreclasi.CVE_BODEGA =  '$CveBodCR1' AND tabla_reciboxpreclasi.CVE_CUENTA =  '$CveCueCR1' AND tabla_reciboxpreclasi.ESTATUS!='CERRADO' ORDER BY tabla_prioridad.PRIORIDAD ASC";
											
											//echo $cl."<br><br>";//imprime
											$con= mysql_query($cl);
											if($con){
												while($ubicacion = mysql_fetch_array($con)){
												IF($ubicacion['CLAVEUBICACION']!=NULL){
												$cant = mysql_query("SELECT CALIDAD,SKU,(CASE WHEN SUM(PZAS) IS NULL THEN 0 ELSE SUM(PZAS) END) AS X FROM tabla_reciboxpreclasi WHERE CVE_UBICACION='$ubicacion[CLAVEUBICACION]' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS!='CERRADO'");
													
													$cnt = mysql_fetch_array($cant);
													if(($cnt['CALIDAD']==$calidad or $cnt['CALIDAD']==null) AND (($cnt['X']+$cantidad) <= $om) AND ((strcasecmp($cnt['SKU'], $sku) == 0) OR ($cnt['SKU']== null)) ){
														echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ubicacion[CLAVEUBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>$calidad</td></tr><input type='hidden' name='ubic' value='$ubicacion[CLAVEUBICACION]'>";
														if($cnt['SKU']== null){echo "<TR><TD>&nbsp</TD></TR><tr><td colspan='2'><font color='red'>Debido a que es el primer ejemplar recibido, Favor de colocarlo directamente en la ubicación solicitada.</font></td></tr>";}
														echo "$wind2";
														exit();
													}}
												}
											}
											//BUSCAR MAYOR PRIORIDAD LIBRE
											$rfg="SELECT tabla_ubicaciones.CLAVEUBICACION,tabla_prioridad.PRIORIDAD FROM tabla_ubicaciones RIGHT JOIN tabla_prioridad ON tabla_prioridad.CVE_BODEGA=tabla_ubicaciones.CVE_BODEGA AND tabla_prioridad.UBICACION = tabla_ubicaciones.CLAVEUBICACION AND tabla_prioridad.CVE_CUENTA=tabla_ubicaciones.CUENTA WHERE tabla_ubicaciones.TIPODEUBICACION='$ps' AND SUBSTRING_INDEX(SUBSTRING_INDEX(tabla_ubicaciones.CLAVEUBICACION,  '-', 2 ),'-',-1) NOT IN (SELECT DISTINCT(tabla_reciboxpreclasi.CVE_MODULO) FROM tabla_reciboxpreclasi WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND ESTATUS!='CERRADO') AND tabla_ubicaciones.CVE_BODEGA='$CveBodCR1' AND tabla_ubicaciones.CUENTA='$CveCueCR1' ORDER BY tabla_prioridad.PRIORIDAD ASC LIMIT 0,1";
											//echo $rfg."<br><br>";//imprime
											$con2 = mysql_query($rfg) or die('Error en la consulta: '.mysql_error());
											
											IF(!$con2){
												$con2 = mysql_query("SELECT tabla_ubicaciones.CLAVEUBICACION,tabla_prioridad.PRIORIDAD FROM tabla_ubicaciones RIGHT JOIN tabla_prioridad ON tabla_prioridad.CVE_BODEGA=tabla_ubicaciones.CVE_BODEGA AND tabla_prioridad.UBICACION = tabla_ubicaciones.CLAVEUBICACION AND tabla_prioridad.CVE_CUENTA=tabla_ubicaciones.CUENTA WHERE tabla_ubicaciones.TIPODEUBICACION='$ps' AND tabla_ubicaciones.CVE_BODEGA='$CveBodCR1' AND tabla_ubicaciones.CUENTA='$CveCueCR1' ORDER BY tabla_prioridad.PRIORIDAD ASC LIMIT 0,1");
												}
											//echo $rfg;
											//exit();
											if(mysql_numrows($con2)>0){
												$ub = mysql_fetch_array($con2);
												echo "$wind1<tr><td><font class='Clase_TipoLetra'><b>Sku:</b></font></td><td>$sku</td></tr><tr><td><font class='Clase_TipoLetra'><b>Descripción:</b></font></td><td>$prod[DESCRIPCION]</td></tr><tr><td><font class='Clase_TipoLetra'><b>Ubicación:</b></font></td><td><b>$ub[CLAVEUBICACION]</b></td></tr><tr><td><font class='Clase_TipoLetra'><b>Piezas:</b></font></td><td>$cantidad</td></tr><tr><td><font class='Clase_TipoLetra'><b>Estado de calidad:</b></font></td><td>$calidad</td></tr><input type='hidden' name='ubic' value='$ub[CLAVEUBICACION]'>";
														if($cnt['SKU']== null){echo "<TR><TD>&nbsp</TD></TR><tr><td colspan='2'><font color='red'>Debido a que es el primer ejemplar recibido, Favor de colocarlo directamente en la ubicación solicitada.</font></td></tr>";}
														echo "$wind2";
												exit();
											}
											
											echo "<script>alert('No se encontro una ubicación disponible.\\nSe requiere registrar nuevas ubicaciones para el proceso.')</script>";
											echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
											exit();
											//fin
											
										?>
										
										<!-- Termina Cuerpo de la Pantalla -->		
									</div>
									<div data-role="footer">
										<h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
									</div>
								</div>
								<!-- Termina Cuerpo de la Interfaz Gráfica -->
								
								<?PHP
								}//// Termina If Valiador de Caducidad Documento
							} ///Termina IF Existencia de Documento
						} ///Termina IF Permiso de Acceso 3
					} ///Termina IF Permiso de Acceso 2
				} ///Termina IF Permiso de Acceso 1
			} ///Termina IF Sesion del Token
		?>
		
	</body>
</html>
